xcb_copy_area(3)

NAME
xcb_copy_area - copy areas

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_copy_area(xcb_connection_t *conn, xcb_drawable_t src_drawable, xcb_drawable_t dst_drawable, xcb_gcontext_t gc, int16_t src_x, int16_t src_y, int16_t dst_x, int16_t dst_y, uint16_t width, uint16_t height);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

src_drawable
    The source drawable (Window or Pixmap).

dst_drawable
    The destination drawable (Window or Pixmap).

gc  The graphics context to use.

src_x
    The source X coordinate.

src_y
    The source Y coordinate.

dst_x
    The destination X coordinate.

dst_y
    The destination Y coordinate.

width
    The width of the area to copy (in pixels).

height
    The height of the area to copy (in pixels).

DESCRIPTION
Copies the specified rectangle from src_drawable to dst_drawable.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_copy_area_checked. See xcb-requests(3) for details.

ERRORS

xcb_drawable_error_t
    The specified drawable (Window or Pixmap) does not exist.

xcb_g_context_error_t
    The specified graphics context does not exist.

xcb_match_error_t
    src_drawable has a different root or depth than dst_drawable.

SEE ALSO
xcb-requests(3)

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.